Loading...
Searching...
No Matches
Opm::gpuistl::SparsityPattern Struct Reference

Compressed Sparse Row (CSR) sparsity pattern for HYPRE matrix assembly. More...

`#include <HypreDataStructures.hpp>`

## Public Attributes

std::vector< HYPRE_Int > | ncols
| Non-zero entries per owned row (size: N_owned).
std::vector< HYPRE_BigInt > | rows
| Global row indices for owned rows (size: N_owned).
std::vector< HYPRE_BigInt > | cols
| Global column indices in CSR format (size: nnz).
HYPRE_Int | nnz
| Number of non-zero entries in matrix.

## Detailed Description

Compressed Sparse Row (CSR) sparsity pattern for HYPRE matrix assembly.

It represents only the owned rows in CSR-like format with global HYPRE indexing for both rows and columns.

The documentation for this struct was generated from the following file:

- opm/simulators/linalg/gpuistl/hypreinterface/HypreDataStructures.hpp